> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a random voice

> Return one random voice visible to the authenticated user. Use the returned voice_id with text-to-speech endpoints.



## OpenAPI

````yaml /openapi.json get /v1/voices/random
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction rewriting.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/voices/random:
    get:
      tags:
        - Voices
      summary: Get a random voice
      description: >-
        Return one random voice visible to the authenticated user. Use the
        returned voice_id with text-to-speech endpoints.
      operationId: voices_random
      responses:
        '200':
          description: Random voice metadata.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceResponse'
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: HTTP 404 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request GET \
              --url "https://api.breeze.blue/v1/voices/random" \
              --header "xi-api-key: $BREEZE_API_KEY"
        - lang: Python
          label: Python SDK
          source: |-
            import os

            from breeze_blue import BreezeBlue

            client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

            voice = client.voices.random()

            print(voice["voice_id"], voice["name"])
        - lang: TypeScript
          label: TypeScript SDK
          source: |-
            import { BreezeBlueClient } from "@breeze.blue/sdk";

            const client = new BreezeBlueClient({
              apiKey: process.env.BREEZE_API_KEY!,
            });

            const voice = await client.voices.random();

            console.log(voice.voiceId, voice.name);
components:
  schemas:
    VoiceResponse:
      additionalProperties: true
      properties:
        voice_id:
          title: Voice Id
          type: string
        name:
          title: Name
          type: string
        category:
          title: Category
          type: string
        voice_type:
          title: Voice Type
          type: string
        labels:
          additionalProperties:
            type: string
          title: Labels
          type: object
        preview_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Preview Url
        settings:
          $ref: '#/components/schemas/VoiceSettingsResponse'
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Description
        created_at_unix:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Created At Unix
      required:
        - voice_id
        - name
        - category
        - voice_type
        - settings
      title: VoiceResponse
      type: object
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
    VoiceSettingsResponse:
      properties:
        guidance_scale:
          default: 1
          title: Guidance Scale
          type: number
      title: VoiceSettingsResponse
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````